commit:     8305f0c6cd0ce8cb5ac0f2d92569acce36a5cc0a
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 18 08:47:21 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jan 18 08:47:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8305f0c6

media-libs/rlottie: bump to 2020-01-10 commit

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-libs/rlottie/Manifest                        |  1 +
 .../rlottie/rlottie-0.0.1_pre20200110.ebuild       | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/media-libs/rlottie/Manifest b/media-libs/rlottie/Manifest
index 68f159d0781..283cacdaab1 100644
--- a/media-libs/rlottie/Manifest
+++ b/media-libs/rlottie/Manifest
@@ -1 +1,2 @@
 DIST rlottie-0.0.1_pre20191214.tar.gz 7898743 BLAKE2B 
16f2456d60ebb2e81cca7017e9f8f32f137cc0b9e94f023b9b85c47354fdf07fed3ad8c07d9236560784866a3585f19d768e25655f5807ce89f40895141ca67f
 SHA512 
f8876b1660c531a20e2b54523c93c2cae9a7f53b516707ae614369b6ecddd9281ed672bd27398829f02b55eb20e59dce7a5cb93104026df11690a18a3caadafc
+DIST rlottie-0.0.1_pre20200110.tar.gz 3370396 BLAKE2B 
02a51e6f24a83967ccbf085e0c28400e23057c833e4849db3f749d30a3ccb4ade2d4e0a8ea624da7ba0148bc84013ca4df963f01fc75ed4156ab8dc36bda6945
 SHA512 
e78470254ab7b9653dcd95037001a1763f4229bdc611f4631943f302b20739a6e4b519d54c967c1ecd7bcc4b555bb8f651af0bceebc04cc9ea41789360b49af4

diff --git a/media-libs/rlottie/rlottie-0.0.1_pre20200110.ebuild 
b/media-libs/rlottie/rlottie-0.0.1_pre20200110.ebuild
new file mode 100644
index 00000000000..50f5ab3f029
--- /dev/null
+++ b/media-libs/rlottie/rlottie-0.0.1_pre20200110.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+MY_COMMIT="f6fc61f214945ac9961ba49fdfc9a3d3336e999b"
+
+DESCRIPTION="A platform independent standalone library that plays Lottie 
Animations"
+HOMEPAGE="https://www.tizen.org/ https://github.com/Samsung/rlottie";
+SRC_URI="https://github.com/Samsung/rlottie/archive/${MY_COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD FTL JSON LGPL-2.1 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-cpp/gtest )"
+
+S="${WORKDIR}/rlottie-${MY_COMMIT}"
+
+PATCHES=( "${FILESDIR}"/rlottie-0.0.1_pre20190920-disable-werror.patch )
+
+src_configure() {
+       local emesonargs=(
+               -D example=false
+               $(meson_use test)
+       )
+
+       meson_src_configure
+}
+
+src_test() {
+       cd "${BUILD_DIR}" || die "Failed to switch into BUILD_DIR."
+       eninja test
+}

Reply via email to